unable to boot after 'entire disk' install (16.10, ppc)

Bug #1606089 reported by ernsteiswuerfel on 2016-07-25
36
This bug affects 5 people
Affects Status Importance Assigned to Milestone
yaboot (Debian)
Confirmed
Unknown
yaboot (Ubuntu)
Undecided
Unassigned

Bug Description

Just did an entire disk install from todays (24.07.2016) Yakkety daily. Installation procedure went fine, but the automatically created /etc/yaboot.conf seems faulty.

1st stage-boot runs fine, the boot options are displayed correctly, pressing "L" leaves me at the 2nd stage boot prompt where you can choose between "Linux" and "old" boot options. But either of them does not work, throwing the error message:

"/pci@f4000000/ata-6@d/@0:3,/boot/vmlinux: unknown or corrupt filesystem"

To rule out other issues I did an openfirmware reset, wiped /dev/sda and tried a second time with a fresh mac partition table. But the problem stays the same, 16.10 is not bootable on my PowerBook 5,6. It did run 16.04 before.

Partition layout is the standard created by "entire disk" install, /dev/sda4 is swap.
/dev/sda2: LABEL="bootstrap" TYPE="hfs" PARTLABEL="untitled"
/dev/sda3: UUID="b7bdb9a4-7316-4966-aa65-1d546b211204" TYPE="ext4" PARTLABEL="untitled"

## yaboot.conf generated by the Ubuntu installer
boot="/dev/disk/by-id/ata-ST9808211A_3LF2VVGH-part2"
device=/pci@f4000000/ata-6@d/@0
partition=3
root="UUID=b7bdb9a4-7316-4966-aa65-1d546b211204"
timeout=50
install=/usr/lib/yaboot/yaboot
magicboot=/usr/lib/yaboot/ofboot
enablecdboot

image=/boot/vmlinux
 label=Linux
 read-only
 initrd=/boot/initrd.img
 append="quiet splash"

image=/boot/vmlinux.old
 label=old
 read-only
 initrd=/boot/initrd.img.old
 append="quiet splash"

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: yaboot 1.3.16-4ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-31.50-powerpc-smp 4.4.13
Uname: Linux 4.4.0-31-powerpc-smp ppc
ApportVersion: 2.20.2-0ubuntu1
Architecture: powerpc
CasperVersion: 1.376
CurrentDesktop: MATE
Date: Mon Jul 25 00:19:21 2016
LiveMediaBuild: Ubuntu-MATE 16.10 "Yakkety Yak" - Alpha powerpc (20160724)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: yaboot
UpgradeStatus: No upgrade log present (probably fresh install)

ernsteiswuerfel (erhard-f) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1606089

tags: added: iso-testing
ernsteiswuerfel (erhard-f) wrote :

I tried an install with manual partitioning, and made a seperate 1 GB ext2 /boot/ partition. Interestingly enough, the automatically created /etc/yaboot.conf worked fine!

Are there any known issues regarding yaboot & ext4 & partition size?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in yaboot (Ubuntu):
status: New → Confirmed
Herminio (herminio-hernandezjr) wrote :

I can confirm that making a seperate ext2 /boot partition fix this problem for me.

ernsteiswuerfel (erhard-f) wrote :

I found no corresponding Debian or Gentoo bugs listed. Both of them are using yaboot 1.3.17.

No one ever placed a bug report in Gentoo it was only discussed in the forums. I just recently came across it in Debian. I am planning to place a bug report there.

Sent from my iPhone

> On Aug 15, 2016, at 4:57 AM, ernsteiswuerfel <email address hidden> wrote:
>
> I found no corresponding Debian or Gentoo bugs listed. Both of them are
> using yaboot 1.3.17.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1606089
>
> Title:
> unable to boot after 'entire disk' install (16.10, ppc)
>
> Status in yaboot package in Ubuntu:
> Confirmed
>
> Bug description:
> Just did an entire disk install from todays (24.07.2016) Yakkety
> daily. Installation procedure went fine, but the automatically created
> /etc/yaboot.conf seems faulty.
>
> 1st stage-boot runs fine, the boot options are displayed correctly,
> pressing "L" leaves me at the 2nd stage boot prompt where you can
> choose between "Linux" and "old" boot options. But either of them does
> not work, throwing the error message:
>
> "/pci@f4000000/ata-6@d/@0:3,/boot/vmlinux: unknown or corrupt
> filesystem"
>
> To rule out other issues I did an openfirmware reset, wiped /dev/sda
> and tried a second time with a fresh mac partition table. But the
> problem stays the same, 16.10 is not bootable on my PowerBook 5,6. It
> did run 16.04 before.
>
> Partition layout is the standard created by "entire disk" install, /dev/sda4 is swap.
> /dev/sda2: LABEL="bootstrap" TYPE="hfs" PARTLABEL="untitled"
> /dev/sda3: UUID="b7bdb9a4-7316-4966-aa65-1d546b211204" TYPE="ext4" PARTLABEL="untitled"
>
> ## yaboot.conf generated by the Ubuntu installer
> boot="/dev/disk/by-id/ata-ST9808211A_3LF2VVGH-part2"
> device=/pci@f4000000/ata-6@d/@0
> partition=3
> root="UUID=b7bdb9a4-7316-4966-aa65-1d546b211204"
> timeout=50
> install=/usr/lib/yaboot/yaboot
> magicboot=/usr/lib/yaboot/ofboot
> enablecdboot
>
> image=/boot/vmlinux
> label=Linux
> read-only
> initrd=/boot/initrd.img
> append="quiet splash"
>
> image=/boot/vmlinux.old
> label=old
> read-only
> initrd=/boot/initrd.img.old
> append="quiet splash"
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: yaboot 1.3.16-4ubuntu1
> ProcVersionSignature: Ubuntu 4.4.0-31.50-powerpc-smp 4.4.13
> Uname: Linux 4.4.0-31-powerpc-smp ppc
> ApportVersion: 2.20.2-0ubuntu1
> Architecture: powerpc
> CasperVersion: 1.376
> CurrentDesktop: MATE
> Date: Mon Jul 25 00:19:21 2016
> LiveMediaBuild: Ubuntu-MATE 16.10 "Yakkety Yak" - Alpha powerpc (20160724)
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: yaboot
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/yaboot/+bug/1606089/+subscriptions

Herminio (herminio-hernandezjr) wrote :

I opened bug #834473 in Debian BTS

Changed in yaboot (Debian):
status: Unknown → Confirmed
Joshua Powers (powersj) wrote :

Confirmed this is still an issue with the server Yakkety powerpc ISO (20161012) [1], which prevents boot after an install.

Tested the yakkety release (16.04) [2] and first point release (16.04.1) [3] ISOs and did NOT run across this issue.

[1] http://cdimage.ubuntu.com/ubuntu-server/daily/20161012/yakkety-server-powerpc.iso
[2] http://cdimage.ubuntu.com/releases/16.04/release/ubuntu-16.04-server-powerpc.iso
[3] http://cdimage.ubuntu.com/releases/16.04.1/release/ubuntu-16.04.1-server-powerpc.iso

ernsteiswuerfel (erhard-f) wrote :

Yes, Xenials daily iso of yesterday also worked.

I even tried to get this upstream via <email address hidden> as stated on https://lists.ozlabs.org/listinfo/ but there my message sits waiting to get approved by the list moderator since 2 weeks...

"Hello!

May I bring this downstream bug reports to your attention:
https://bugs.launchpad.net/debian/+source/yaboot/+bug/1606089
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=834473

Seems yaboot 'lost' the ability to boot into current (newly formatted) ext4 partitions. Booting into ext2 partitions still works.

regards
Erhard"

Download full text (3.6 KiB)

I do not believe yaboot has in active development in a long time
upstream. The last set of commits were in 2008 see:
https://github.com/pnasrat/yaboot/commits/master

I think we are just stuck with make a separate ext2 /boot partition.

On Wed, Oct 12, 2016 at 12:02 PM, ernsteiswuerfel <email address hidden> wrote:
> Yes, Xenials daily iso of yesterday also worked.
>
> I even tried to get this upstream via <email address hidden> as
> stated on https://lists.ozlabs.org/listinfo/ but there my message sits
> waiting to get approved by the list moderator since 2 weeks...
>
> "Hello!
>
> May I bring this downstream bug reports to your attention:
> https://bugs.launchpad.net/debian/+source/yaboot/+bug/1606089
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=834473
>
> Seems yaboot 'lost' the ability to boot into current (newly formatted)
> ext4 partitions. Booting into ext2 partitions still works.
>
> regards
> Erhard"
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1606089
>
> Title:
> unable to boot after 'entire disk' install (16.10, ppc)
>
> Status in yaboot package in Ubuntu:
> Confirmed
> Status in yaboot package in Debian:
> Confirmed
>
> Bug description:
> Just did an entire disk install from todays (24.07.2016) Yakkety
> daily. Installation procedure went fine, but the automatically created
> /etc/yaboot.conf seems faulty.
>
> 1st stage-boot runs fine, the boot options are displayed correctly,
> pressing "L" leaves me at the 2nd stage boot prompt where you can
> choose between "Linux" and "old" boot options. But either of them does
> not work, throwing the error message:
>
> "/pci@f4000000/ata-6@d/@0:3,/boot/vmlinux: unknown or corrupt
> filesystem"
>
> To rule out other issues I did an openfirmware reset, wiped /dev/sda
> and tried a second time with a fresh mac partition table. But the
> problem stays the same, 16.10 is not bootable on my PowerBook 5,6. It
> did run 16.04 before.
>
> Partition layout is the standard created by "entire disk" install, /dev/sda4 is swap.
> /dev/sda2: LABEL="bootstrap" TYPE="hfs" PARTLABEL="untitled"
> /dev/sda3: UUID="b7bdb9a4-7316-4966-aa65-1d546b211204" TYPE="ext4" PARTLABEL="untitled"
>
> ## yaboot.conf generated by the Ubuntu installer
> boot="/dev/disk/by-id/ata-ST9808211A_3LF2VVGH-part2"
> device=/pci@f4000000/ata-6@d/@0
> partition=3
> root="UUID=b7bdb9a4-7316-4966-aa65-1d546b211204"
> timeout=50
> install=/usr/lib/yaboot/yaboot
> magicboot=/usr/lib/yaboot/ofboot
> enablecdboot
>
> image=/boot/vmlinux
> label=Linux
> read-only
> initrd=/boot/initrd.img
> append="quiet splash"
>
> image=/boot/vmlinux.old
> label=old
> read-only
> initrd=/boot/initrd.img.old
> append="quiet splash"
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: yaboot 1.3.16-4ubuntu1
> ProcVersionSignature: Ubuntu 4.4.0-31.50-powerpc-smp 4.4.13
> Uname: Linux 4.4.0-31-powerpc-smp ppc
> ApportVersion: 2.20.2-0ubuntu1
> Architecture: powerpc
> CasperVersion: 1.376
> CurrentDesktop: MATE
> Date: ...

Read more...

K1773R (k1773r) wrote :

ernsteiswuerfel: yaboot @ ozlabs is dead. their website is broken too.

Adam Conrad (adconrad) wrote :

This will be resolved in 17.04 by a switch to grub. The workaround of using an ext2 boot partition has been committed to the release notes.

(What would also work is installing 16.04 and upgrading)

ernsteiswuerfel (erhard-f) wrote :

Good to hear! GRUB2 is actively developed and works fine on my amd64-boxes. Hopefully causing less headache on OpenFirmware-machines too?

I suppose it's too much effort to adapt some ubiquity script to create this ext2 boot-partition by default as is creates the ext4 / and swap by default during the "entire disk"-install option?

K1773R (k1773r) wrote :

awesome, didnt know grub could boot on operfirmware already.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.